Bug 187977 - crond cannot update entries with audit off and sysstat installed
crond cannot update entries with audit off and sysstat installed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-04-04 22:04 EDT by kennychw
Modified: 2012-04-24 10:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-05 12:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 136657 None None None Never

  None (edit)
Description kennychw 2006-04-04 22:04:32 EDT
Description of problem:
This bug shows the same charateristics as Bug 136657 ( 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=136657 )but in Red Hat ES3 
update 7 it has an additional side effect.

The additonal side effect is described in this scenerio..
1. When crond runs /usr/lib/sa/sa1 from /etc/cron.d/sysstat, the following 
error is logged into /var/log/cron

Apr  4 20:00:01 rh crond[4512]: (root) CMD (/usr/lib/sa/sa1 1 1)
Apr  4 20:00:01 rh crond[4512]: LAuS error - do_command.c:278 - laus_attach W : 
(19) laus_attach: No such device

2. A user edits his crontab and saves the changes
3. The crond deamon for some reason is unable to reload changed user crontab 
entries and still runs the old entries (No reload message in /var/log/cron)

I run crond with debug on  ( # crond -x load ) debug message indicates that the 
spool directory mtime is not updated, which should not be the case

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install sysstat-5.0.5-11.rhel3
2. Stop the linux Audit subsystem (/etc/init.d/audit stop)
3. Ask user to edit and save crontab settings
Actual results:
1. User's new crontab settings not implemented

Expected results:
2. Users's new crontab settings are implemented

Additional info:
1. This problem does not show up in Red Hat Advanced Server 3 update 6 even 
with audit off and sysstat installed
Comment 1 Jason Vas Dias 2006-04-05 12:24:41 EDT
You need to reboot the machine after disabling audit:
 # service audit stop
 # chkconfig --del audit
 # reboot
Once rebooted, these problems do not occur - see bug 177321.

I've seen no problems with crontab updates not taking effect - they may take
up to 2 minutes for crond to reload them.

Note You need to log in before you can comment on or make changes to this bug.